Loading...
Searching...
No Matches
RDKit::MolAlign::O3AConstraintVect Class Reference

`#include <O3AAlignMolecules.h>`

## Public Member Functions

| O3AConstraintVect ()
| ~O3AConstraintVect ()=default
void | append (unsigned int prbIdx, unsigned int refIdx, double weight)
std::vector< boost::shared_ptr< O3AConstraint > >::size_type | size ()
O3AConstraint * | operator[] (unsigned int i)

## Detailed Description

A class to store a vector of alignment constraints. Each constraint is defined by an O3AConstraint object. Each time the append() method is invoked, the vector is sorted to make lookup faster. Hence, constraints are not necessarily stored in the same order they were appended.

Definition at line 69 of file O3AAlignMolecules.h.

## Constructor & Destructor Documentation

## O3AConstraintVect()

RDKit::MolAlign::O3AConstraintVect::O3AConstraintVect | ( |  | ) |

inline

Definition at line 71 of file O3AAlignMolecules.h.

## ~O3AConstraintVect()

RDKit::MolAlign::O3AConstraintVect::~O3AConstraintVect | ( |  | ) |

default

## Member Function Documentation

## append()

void RDKit::MolAlign::O3AConstraintVect::append | ( | unsigned int | prbIdx,
|  | unsigned int | refIdx,
|  | double | weight )

inline

Definition at line 73 of file O3AAlignMolecules.h.

## operator[]()

O3AConstraint * RDKit::MolAlign::O3AConstraintVect::operator[] | ( | unsigned int | i | ) |

inline

Definition at line 87 of file O3AAlignMolecules.h.

## size()

std::vector< boost::shared_ptr< O3AConstraint > >::size_type RDKit::MolAlign::O3AConstraintVect::size | ( |  | ) |

inline

Definition at line 84 of file O3AAlignMolecules.h.

The documentation for this class was generated from the following file:

- O3AAlignMolecules.h